Name:    gtk-chtheme
Version: 0.3.1
Release: %mkrel 2

Summary: Utility to preview and change GTK 2 themes
Source:  %name-%version.tar.bz2
Source1: gtk.png
URL:     http://plasmasturm.org/programs/gtk-chtheme/
Group:   Graphical desktop/GNOME
License: GPL
BuildRoot: %_tmppath/%name-%version-build
BuildRequires: libgtk+2-devel
BuildRequires: ImageMagick

%description
Gtk-chtheme allows you to change the Gtk+ 2.0 theme when not using GNOME.

%prep
%setup -q

%build
export CFLAGS=$RPM_OPT_FLAGS
%make PREFIX=%_prefix

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_bindir
install -s -m 755 gtk-chtheme $RPM_BUILD_ROOT%_bindir

# menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Change GTK-2.0 theme
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=GTK;Utility;DesktopSettings;
EOF

# icons
cp %SOURCE1 %name.png
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 %name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 %name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 %name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

# FDo icons
mkdir -p %buildroot/%_iconsdir/hicolor/64x64/apps
convert -size 64x64 %name.png %buildroot/%_iconsdir/hicolor/64x64/apps/%name.png
mkdir -p %buildroot/%_iconsdir/hicolor/48x48/apps
convert -size 48x48 %name.png %buildroot/%_iconsdir/hicolor/48x48/apps/%name.png
mkdir -p %buildroot/%_iconsdir/hicolor/32x32/apps
convert -size 32x32 %name.png %buildroot/%_iconsdir/hicolor/32x32/apps/%name.png
mkdir -p %buildroot/%_iconsdir/hicolor/16x16/apps
convert -size 16x16 %name.png %buildroot/%_iconsdir/hicolor/16x16/apps/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%_bindir/%name
%{_datadir}/applications/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_iconsdir}/hicolor/64x64/apps/%name.png
%{_iconsdir}/hicolor/48x48/apps/%name.png
%{_iconsdir}/hicolor/32x32/apps/%name.png
%{_iconsdir}/hicolor/16x16/apps/%name.png



%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3.1-2mdv2008.1
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Jun 07 2007 Austin Acton <austin@mandriva.org> 0.3.1-2mdv2008.0
+ Revision: 36597
- add menu entry and icons
- fix description

* Tue Apr 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-1mdv2008.0
+ Revision: 17857
- new release
- Import gtk-chtheme



* Fri Nov 05 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2-2mdk
- add BuildRequires: libgtk+2-devel

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-1mdk
- initial release
